Subject: git-commit feature request: pass editor command line options

From: Matthew Cline <[email-masked]>
Date: Tue, 13 Oct 2009 21:58:51 -0700 (PDT)

I'd like to be able to have git-commit pass the commit-message editor command
line options which aren't passed to the editor for other usages.  Right now
I have "co" aliased to "!sh -c 'GIT_EDITOR=git-commit-editor git commit'",
where git-commit-editor is a wrapper around my editor-of-choice which passes
the editor the command line options I want, but it'd be simpler and cleaner
if I could just set "commit.editor_options=-BAR".  Or even let there be a
separate editor for commits, so I could do "core.editor=foo" and
"commit.editor=foo -BAR".
-- 
View this message in context: http://www.nabble.com/git-commit-feature-request%3A-pass-editor-command-line-options-tp25885354p25885354.html
Sent from the git mailing list archive at Nabble.com.